Create an entity

Base URL
https://{kibana_url}
Auth

Create a new entity record in the Entity Store for the specified entity type.

Required privileges

Privileges securitySolution

Path parameters

entityType enum required

The entity type to create.

Values: user host service generic

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

Any of:
@timestamp string · format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

The time the entity record was last updated.

labels map string to object

Custom key-value labels attached to the entity.

tags string[]

Tags attached to the entity.

Responses

200

Indicates the entity was successfully created.

application/json
400

Bad request.

application/json
409

Conflict.

application/json
Base URL
https://{kibana_url}